﻿using System.Text.Json;

namespace IDisposable_00
{
    internal class CatApiClient : System.IDisposable
    {
        private readonly HttpClient _httpClient;

        public CatApiClient()
        {
            _httpClient = new HttpClient();
        }

        public void Dispose()
        {
            _httpClient.Dispose();
        }

        public async Task<CatFact> GetRandomCatFact()
        {
            var res = await _httpClient.GetStringAsync("https://catfact.ninja/fact");

            return JsonSerializer.Deserialize<CatFact>(res);
        }
    }
}
